# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Mon Jun 12 10:12:42 2023
# ------------------------------------------------

package:
  name: annonars
  version: 0.10.0
source:
  sha256: 0af860f4e517d23ce62ddee6455fff9b8666cae0380fd5d940c3a3e2204bcce5
  url: https://github.com/bihealth/annona-rs/archive/refs/tags/v0.10.0.tar.gz
build:
  number: '0'
  string: hb3cd794_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_0
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.19.1 hd590300_0
    - ca-certificates 2023.5.7 hbcca054_0
    - clang 16.0.5 ha0738ec_0
    - clang-16 16.0.5 default_h1cdf331_0
    - clang-format 16.0.5 default_h1cdf331_0
    - clang-format-16 16.0.5 default_h1cdf331_0
    - clang-tools 16.0.5 default_h1cdf331_0
    - clangdev 16.0.5 default_h1cdf331_0
    - clangxx 16.0.5 default_h1cdf331_0
    - cmake 3.26.4 hcfe8598_0
    - expat 2.5.0 hcb278e6_1
    - gcc_impl_linux-64 12.3.0 he2b93b0_0
    - gcc_linux-64 12.3.0 h76fc315_0
    - gxx_impl_linux-64 12.3.0 he2b93b0_0
    - gxx_linux-64 12.3.0 h8a814eb_0
    - icu 72.1 hcb278e6_0
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 h81ceb04_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libabseil 20230125.2 cxx17_h59595ed_2
    - libclang 16.0.5 default_h1cdf331_0
    - libclang-cpp 16.0.5 default_h1cdf331_0
    - libclang-cpp16 16.0.5 default_h1cdf331_0
    - libclang13 16.0.5 default_h4d60ac6_0
    - libcurl 8.1.2 h409715c_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_0
    - libgcc-ng 13.1.0 he5830b7_0
    - libgomp 13.1.0 he5830b7_0
    - libiconv 1.17 h166bdaf_0
    - libllvm16 16.0.5 h5cf9203_0
    - libnghttp2 1.52.0 h61bc06f_0
    - libnsl 2.0.0 h7f98852_0
    - libprotobuf 4.23.2 hd1fb520_4
    - libsanitizer 12.3.0 h0f45ef3_0
    - libsqlite 3.42.0 h2797004_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 12.3.0 h8bca6fd_0
    - libstdcxx-ng 13.1.0 hfd8a6a1_0
    - libuuid 2.38.1 h0b41bf4_0
    - libuv 1.44.2 h166bdaf_0
    - libxml2 2.11.4 h0d562d8_0
    - libzlib 1.2.13 h166bdaf_4
    - llvm-tools 16.0.5 h5cf9203_0
    - llvmdev 16.0.5 h5cf9203_0
    - make 4.3 hd18ef5c_1
    - ncurses 6.4 hcb278e6_0
    - openssl 3.1.1 hd590300_1
    - pip 23.1.2 pyhd8ed1ab_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - protobuf 4.23.2 py311hbec7ed6_1
    - python 3.11.4 hab00c5b_0_cpython
    - python_abi 3.11 3_cp311
    - readline 8.2 h8228510_1
    - rhash 1.4.3 h166bdaf_0
    - rust 1.70.0 h70c747d_0
    - rust-std-x86_64-unknown-linux-gnu 1.70.0 hc1431ca_0
    - setuptools 67.7.2 pyhd8ed1ab_0
    - sysroot_linux-64 2.12 he073ed8_15
    - tk 8.6.12 h27826a3_0
    - tzdata 2023c h71feb2d_0
    - wheel 0.40.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h3eb15da_6
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - ca-certificates 2023.5.7 hbcca054_0
    - clang 16.0.5 ha0738ec_0
    - clang-16 16.0.5 default_h1cdf331_0
    - clang-format 16.0.5 default_h1cdf331_0
    - clang-format-16 16.0.5 default_h1cdf331_0
    - clang-tools 16.0.5 default_h1cdf331_0
    - clangdev 16.0.5 default_h1cdf331_0
    - clangxx 16.0.5 default_h1cdf331_0
    - gcc_impl_linux-64 13.1.0 hc4be1a9_0
    - icu 72.1 hcb278e6_0
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.40 h41732ed_0
    - libclang 16.0.5 default_h1cdf331_0
    - libclang-cpp 16.0.5 default_h1cdf331_0
    - libclang-cpp16 16.0.5 default_h1cdf331_0
    - libclang13 16.0.5 default_h4d60ac6_0
    - libgcc-devel_linux-64 13.1.0 he3cc6c4_0
    - libgcc-ng 13.1.0 he5830b7_0
    - libgomp 13.1.0 he5830b7_0
    - libiconv 1.17 h166bdaf_0
    - libllvm16 16.0.5 h5cf9203_0
    - libsanitizer 13.1.0 hfd8a6a1_0
    - libsqlite 3.42.0 h2797004_0
    - libstdcxx-ng 13.1.0 hfd8a6a1_0
    - libxml2 2.11.4 h0d562d8_0
    - libzlib 1.2.13 h166bdaf_4
    - llvm-tools 16.0.5 h5cf9203_0
    - llvmdev 16.0.5 h5cf9203_0
    - ncurses 6.4 hcb278e6_0
    - openssl 3.1.1 hd590300_1
    - readline 8.2 h8228510_1
    - sqlite 3.42.0 h2c6b66d_0
    - sysroot_linux-64 2.12 he073ed8_15
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h3eb15da_6
  run:
    - libgcc-ng >=12
    - libsqlite >=3.42.0,<4.0a0
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<1.3.0a0
    - openssl >=3.1.1,<4.0a0
    - sqlite
test:
  commands:
    - annonars --help
about:
  home: https://github.com/bihealth/annona-rs
  license: Apache-2.0
  summary: 'Genome annotation based on Rust and RocksDB.

    '
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - holtgrewe
